/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbInstanceRefAttrObj {

    // type
    private String refType;
    // id
    private String refId;
    // name
    private String name;
    // value
    private String value;

    /**
     * nameを取得します。
     * @return name
     */
    protected String getName() {
        return name;
    }

    /**
     * nameを設定します。
     * @param name name
     */
    protected void setName(String name) {
        this.name = name;
    }

    /**
     * refIdを取得します。
     * @return refId
     */
    protected String getRefId() {
        return refId;
    }

    /**
     * refIdを設定します。
     * @param refId refId
     */
    protected void setRefId(String refId) {
        this.refId = refId;
    }

    /**
     * refTypeを取得します。
     * @return refType
     */
    protected String getRefType() {
        return refType;
    }

    /**
     * refTypeを設定します。
     * @param refType refType
     */
    protected void setRefType(String refType) {
        this.refType = refType;
    }

    /**
     * valueを取得します。
     * @return value
     */
    protected String getValue() {
        return value;
    }

    /**
     * valueを設定します。
     * @param value value
     */
    protected void setValue(String value) {
        this.value = value;
    }
}